Summary:	An archiving tool with ACL support
Group:		Applications/Archiving
License:	GPL
Name:		star
Version:	1.5a65
Release:	1
Source0:	ftp://ftp.berlios.de/pub/star/alpha/%{name}-%{version}.tar.bz2
Patch0:		star-1.5-newMake.patch
Patch2:		star-1.5-nofsync.patch
Patch3:		star-1.5-davej.patch
Patch4:		star-1.5-selinux.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libattr-devel libacl-devel libtool libselinux-devel autoconf213

%description
Star saves many files together into a single tape or disk archive,
and can restore individual files from the archive. Star supports ACL.

%files
  %defattr(0444,root,root,0555)
  %doc README AN* COPYING README.ACL README.crash README.largefiles README.linux
  %doc README.otherbugs README.pattern README.posix-2001  README.SSPM STARvsGNUTAR
  %doc STATUS.alpha TODO
  %doc %{_mandir}/man1/*.1*

  %attr(0511,root,root)		%{_bindir}/*star
  %attr(0511,root,root)		%{_bindir}/spax

%prep
%setup -q -n star-1.5
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

for PLAT in x86_64 ppc64 s390 s390x; do
	for AFILE in gcc cc; do
		[ ! -e RULES/${PLAT}-linux-${AFILE}.rul ] \
		&& ln -s i586-linux-${AFILE}.rul RULES/${PLAT}-linux-${AFILE}.rul
	done
done

cp -f /usr/share/libtool/config.sub conf/config.sub

%build
  export CFLAGS="$RPM_OPT_FLAGS"

  (cd conf; autoconf-2.13)

  make %{?_smp_mflags} PARCH=%{_target_cpu} CPPOPTX="-DNO_FSYNC" \
	K_ARCH=%{_target_cpu} \
	CONFFLAGS="%{_target_platform} --prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	--sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} --includedir=%{_includedir} \
	--libdir=%{_libdir} --libexec=%{_libexecdir} \
	--localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} --infodir=%{_infodir}" < /dev/null

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

  %makeinstall RPM_INSTALLDIR=$RPM_BUILD_ROOT \
	PARCH=%{_target_cpu} \
	K_ARCH=%{_target_cpu} < /dev/null

  rm -rf $RPM_BUILD_ROOT/%{_mandir}
  mv $RPM_BUILD_ROOT/%{_prefix}/man $RPM_BUILD_ROOT/%{_mandir}

  # XXX
  pushd $RPM_BUILD_ROOT/%{_bindir}
    rm -f star spax; mv star_fat star; ln -s star spax
  popd

  # Remove unpackaged files.
  pushd $RPM_BUILD_ROOT
    rm -f  .%{_bindir}/mt
    rm -f  .%{_bindir}/smt
    rm -f  .%{_bindir}/tartest
    rm -f  .%{_bindir}/tar
    rm -f  .%{_bindir}/gnutar
    rm -f  .%{_bindir}/scpio
    rm -f  .%{_bindir}/star_sym
    rm -f  .%{_bindir}/suntar
    rm -f  .%{_bindir}/ustar
    rm -f  .%{_prefix}/etc/default/rmt
    rm -f  .%{_prefix}/etc/default/star
    rm -rf .%{_prefix}/include
    rm -rf .%{_prefix}/lib
    rm -rf .%{_mandir}/man5
    rm -rf .%{_mandir}/man3
    rm -rf .%{_mandir}/man1/{tartest,rmt,gnutar,scpio,smt,suntar}.1*
    rm -rf .%{_prefix}/sbin
  popd

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.5a65, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
